from django.conf.urls import include, url
from django.conf import settings

from django.contrib import admin
import django.contrib.staticfiles.views
import django.views.defaults


import docbow_project.docbow.views

admin.autodiscover()

from .docbow.admin import site as docbow_admin_site

urlpatterns = [
    url(r'^', include('docbow_project.docbow.urls')),
    url(r'^robots.txt', docbow_project.docbow.views.robots),
    url(r'^accounts/', include('docbow_project.docbow.auth_urls')),
    url(r'^superadmin/', admin.site.urls, name='admin'),
    url(r'^admin/', docbow_admin_site.urls, name='docbow_admin'),
]

if settings.DEBUG:
    urlpatterns += [
        url(r'^static/(?P<path>.*)$', django.contrib.staticfiles.views.serve),
    ]
